##### Movements.py
#
#  Car is controlled by joystick
#
####################################################

import PhysicsConstraints

##########################   Main

def main():

	# Get owner
	controller = GameLogic.getCurrentController()
	owner = controller.owner

	# Get vehicle constraint
	vehicle = ContrainteID(controller)

	# get pro Activ in Car
	propActiv = owner['Activ']
	
	if propActiv == 1:
		
		# Gas and Reverse
		Movements(vehicle, controller)
		
		# Direction
		Direction(vehicle, controller)

	return

##########################   Vehicle Constraint

# Get Vehicle Constraint
def ContrainteID(controller):

	# Get owner
	controller = GameLogic.getCurrentController()
	owner = controller.owner

	# Retrieve constraint ID you saved when wheels were attached
	constraint_ID = owner['constraint_ID']

	# get the vehicle constraint
	vehicle = PhysicsConstraints.getVehicleConstraint(constraint_ID)

	return vehicle

##########################   Gas and Reverse
	
# Gas and reverse 	
def Movements( vehicle, controller):	

	# Get movement
	joystick = controller.sensors["Avance"]
	axisVal = joystick.axisValues

	# Get owner
	controller = GameLogic.getCurrentController()
	owner = controller.owner

	# get prop p = BoutonP Local Position 26.14 < p < 26.69
	p = owner['p']

	# # 0.001  * 32768 = 32 < power < 0.018 * 32768 = 589

	if joystick.positive :
		
		power = ((0.018 - 0.001) / 0.55 * (p - 26.16) + 0.001) * axisVal[1]
	else :
		
		power = 0.010 * axisVal[1]

	#print "Power ==", - power

	# Apply to all four tires
	vehicle.applyEngineForce(power, 0)
	vehicle.applyEngineForce(power, 1)
	vehicle.applyEngineForce(power, 2)
	vehicle.applyEngineForce(power, 3)				 					
		
##########################   Direction

def Direction( vehicle, controller):
	
	# Get owner
	controller = GameLogic.getCurrentController()
	owner = controller.owner

	# Get axis value
	joystick = controller.sensors['Avance']
	axisVal = joystick.axisValues
	
	# Get prop vitesse in car
	vitesse = owner['vitesse']

	direction = -8e-6 * ( 1 - vitesse * 0.9  / 250 ) *  axisVal[2]

	# Turn with Front Tire
	vehicle.setSteeringValue(direction,0)
	vehicle.setSteeringValue(direction,1)

##########################   

main()   
