##### Viewports.py
#
#  Split screen for two player
#
####################################################

################## Viewport needs to know game window height and width

# import Rasterizer module
import Rasterizer

# get game window height and width
height = Rasterizer.getWindowHeight()
width = Rasterizer.getWindowWidth()

################# Using 2 cameras for the player viewports. Need to get them.

# get current scene
scene = GameLogic.getCurrentScene()

# get list of objects in scene
objList = scene.objects

# use Camera ( the active camera) for PlayerA
playerA_cam = objList["OBCamera"]

# use Camera.001 for PlayerB
playerB_cam = objList["OBCamera.001"]

################# Use the top half of the game window for Player A.

# Player A viewport: left half
left_A = 0
bottom_A = 0
right_A = width
top_A = height / 2

# set Player A viewport
playerA_cam.setViewport( left_A, bottom_A, right_A, top_A)

################# Use bottom half for player B.

# Player B viewport: right half
left_B = 0
bottom_B = height / 2
right_B = width
top_B = height

# set Player B viewport
playerB_cam.setViewport( left_B, bottom_B, right_B, top_B)

################## Define the viewports
# Monolythe get the end of level 1  and stop the split with property fin
#
# Monolythe or Monolythe.001 set one or two players if no LAN
# if property nbplayer = 1, viewports is false
##################
# Set scene as string
scene = str(scene)

##################### level 1 with Monolythe
if scene == "Level_1" :
	# Get object Monolythe
	objMonolythe = objList["OBMonolythe"]

	# How many players if no LAN
	if objMonolythe['fin'] == 0 :
		if objMonolythe['LAN'] == False and objMonolythe['nbplayer'] == 1 :
			playerA_cam.useViewport = False
			playerB_cam.useViewport = False


		else :
			playerA_cam.useViewport = True
			playerB_cam.useViewport = True

	# End of Level
	else :
		playerA_cam.useViewport = False
		playerB_cam.useViewport = False

##################### level 2 with Monolythe.001
if scene == "Level_2" :
	# Get object Monolythe.001
	objMonolythe1 = objList["OBMonolythe.001"]

# How many players if no LAN
	if objMonolythe1['fin'] == 0 :
		if objMonolythe1['LAN'] == False and objMonolythe1['nbplayer'] == 1 :
			playerA_cam.useViewport = False
			playerB_cam.useViewport = False


		else :
			playerA_cam.useViewport = True
			playerB_cam.useViewport = True

	# End of Level
	else :

		playerA_cam.useViewport = False
		playerB_cam.useViewport = False
